makeBucket {AutoDeskR} | R Documentation

## Make a Bucket for an App.

### Description

Make an app-based bucket for storage of design files using the Data Management API.

### Usage

    makeBucket(token = NULL, bucket = "mybucket", policy = "transient")

### Arguments

`token` | A string. Token generated with `getToken` function with `bucket:create`, `bucket:read`, and `data:write` scopes.
`bucket` | A string. Unique bucket name. Defaults to `mybucket`.
`policy` | A string. May be `transient`, `temporary`, or `persistent`.

### Value

An object containing the `bucketKey`, `bucketOwner`, and `createdDate`.

### See Also

https://developer.autodesk.com/en/docs/data/v2/overview/

### Examples

    ## Not run:
    # Make a transient bucket with the name "mybucket"
    resp <- makeBucket(token = myToken, bucket = "mybucket", policy = "transient")

    ## End(Not run)

[Package AutoDeskR version 0.1.3 Index]